> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List values for a specific object metadata key.

> Returns a list of all values that exist for a specific metadata key across all objects.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/objects/metadata/keys/{key}/values
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/objects/metadata/keys/{key}/values:
    get:
      tags:
        - objects
      summary: List values for a specific object metadata key.
      description: >-
        Returns a list of all values that exist for a specific metadata key
        across all objects.
      operationId: getObjectMetadataValues
      parameters:
        - name: key
          in: path
          description: The metadata key to get values for.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetadataValuesView'
        '400':
          description: Invalid metadata key provided.
components:
  schemas:
    MetadataValuesView:
      type: object
      properties:
        key:
          type: string
        values:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````